/****************************************************************************************

		NonUniformScale.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jonathan Trachtenberg
		Date:	06/09/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		07/22/99	Mael		include .rsrc on MAC

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "NonUniformScaleDef.h"
#include "interfaceids.h"


#ifndef qUsingResourceLinker
include "NonUniformScale.rsr";
#endif


resource 'GUID' (140)
{
	{
	R_IID_I3DExModifier,
	R_CLSID_NonUniformScale
	}
};

resource 'COMP' (140)
{
	kRID_ModifierFamilyID,
	'COdf',
	"Non Uniform Scaling",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};
  
resource 'PMap' (140)
{
	{
		'AXIS','in32',noFlags,"Axis","",
		'UBEG','re32',interpolate,"U Begin Scale","",
		'UEND','re32',interpolate,"U End Scale","",
		'VBEG','re32',interpolate,"V Begin Scale","",
		'VEND','re32',interpolate,"V End Scale","",
		'bmin','vec3',noFlags,"","",
		'bmax','vec3',noFlags,"","",
	}
};